summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Binh Nguyen <binhnguyen@fastmail.fm>2010-09-21 06:01:17 -0400
committer Robby Workman <rworkman@slackbuilds.org>2010-09-21 22:09:44 -0500
commitc4a34a56b3f3329fdfc9c18a40c6e602d14cd329 (patch)
treede653bb060013e2b9ae4b4319e844ba86555557c /libraries
parent97274878390cfdee0865adb087637eed0868fb1f (diff)
downloadslackbuilds-c4a34a56b3f3329fdfc9c18a40c6e602d14cd329.tar.gz
slackbuilds-c4a34a56b3f3329fdfc9c18a40c6e602d14cd329.tar.xz
libraries/perl-cairo: Updated for version 1.061.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/perl-cairo/README2
-rw-r--r--libraries/perl-cairo/perl-cairo.SlackBuild42
-rw-r--r--libraries/perl-cairo/perl-cairo.info14
-rw-r--r--libraries/perl-cairo/slack-desc10
4 files changed, 34 insertions, 34 deletions
diff --git a/libraries/perl-cairo/README b/libraries/perl-cairo/README
index cf8e54a359..6df96f08cc 100644
--- a/libraries/perl-cairo/README
+++ b/libraries/perl-cairo/README
@@ -3,4 +3,4 @@ Cairo (perl module)
Perl bindings to the cairo graphics library.
This requires perl-extutils-pkgconfig, perl-extutils-depends, and
-perl-test-number-delta.
+perl-test-number-delta at build-time.
diff --git a/libraries/perl-cairo/perl-cairo.SlackBuild b/libraries/perl-cairo/perl-cairo.SlackBuild
index 06c623751b..0e169e09e4 100644
--- a/libraries/perl-cairo/perl-cairo.SlackBuild
+++ b/libraries/perl-cairo/perl-cairo.SlackBuild
@@ -3,6 +3,7 @@
# Slackware build script for perl-cairo
# (C) 2007 Michael Wagner <lapinours@web.de>
+# Copyright 2010 Binh Nguyen <binhnguyen@fastmail.fm>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,17 +24,16 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=perl-cairo
-SRCNAM=Cairo
-VERSION=1.043
+VERSION=${VERSION:-1.061}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
+SRCNAM=Cairo
+
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -68,30 +68,30 @@ cd $SRCNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-perl Makefile.PL
-make OPTIMIZE="$SLKCFLAGS"
-make install INSTALLDIRS=vendor DESTDIR=$PKG
+perl Makefile.PL \
+ OPTIMIZE="$SLKCFLAGS" \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
-find $PKG -name $SRCNAM.so -exec strip --strip-unneeded $PKG 2> /dev/null {} \;
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-mv $PKG/usr/share/man $PKG/usr && rm -rf $PKG/usr/share
-gzip -9 $PKG/usr/man/man3/* 2> /dev/null
+find $PKG/usr/man -type f -exec gzip -9 {} \;
-# Remove perlocal.pod and .packlist from $PKG
-( for i in perllocal.pod .packlist; do
- find $PKG -name "$i" -exec rm -rf {} \;
- done
-) || exit 1
+# Remove perllocal.pod and other special files that don't need to be installed,
+# as they will overwrite what's already on the system
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
-# Remove empty directory
-find $PKG -depth -type d -empty -exec rm -rf {} \;
+# Remove empty directories
+find $PKG -depth -type d -empty -delete || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- ChangeLog LICENSE NEWS README TODO \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog LICENSE NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/libraries/perl-cairo/perl-cairo.info b/libraries/perl-cairo/perl-cairo.info
index 643278dc82..a335f01333 100644
--- a/libraries/perl-cairo/perl-cairo.info
+++ b/libraries/perl-cairo/perl-cairo.info
@@ -1,10 +1,10 @@
PRGNAM="perl-cairo"
-VERSION="1.043"
-HOMEPAGE="http://gtk2-perl.sourceforge.net"
-DOWNLOAD="http://downloads.sourceforge.net/gtk2-perl/Cairo-1.043.tar.gz"
-MD5SUM="7f79fe4776c725d698d52231f86fab6b"
+VERSION="1.061"
+HOMEPAGE="http://search.cpan.org/dist/Cairo/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/T/TS/TSCH/Cairo-1.061.tar.gz"
+MD5SUM="08cd5e847f61858651fc4de769066e88"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-MAINTAINER="Michael Wagner"
-EMAIL="lapinours@web.de"
-APPROVED="rworkman"
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
+APPROVED="dsomero"
diff --git a/libraries/perl-cairo/slack-desc b/libraries/perl-cairo/slack-desc
index d7e29a86b6..849df3aa84 100644
--- a/libraries/perl-cairo/slack-desc
+++ b/libraries/perl-cairo/slack-desc
@@ -1,16 +1,16 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler-------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
perl-cairo: Cairo (perl module)
perl-cairo:
perl-cairo: Perl bindings to the cairo graphics library.
perl-cairo:
-perl-cairo: Homepage: http://gtk2-perl.sourceforge.net/
+perl-cairo: Homepage: http://search.cpan.org/dist/Cairo/
perl-cairo:
perl-cairo:
perl-cairo: